local me = BrokerToolBox

--locale
me:NewL("token",{										--default locale
	PVE = "Dungeon and Raid",
	PVP = "Player versus Player",
	PROFESSION = "Profession",
	notoken = "You have no token",
	click="Click: |cffffffffSettings|r",
})
me:NewL("token",{										--deDE locale
	PVE = "Dungeon und Schlachtzug",
	PVP = "Spieler gegen Spieler",
	PROFESSION = "Beruf",
	notoken = "Du besitzt kein Token",
	click="Klick: |cffffffffEinstellungen|r",
},"deDE")

local tool
tool = me:NewTool("token",{
	name={												--tool name (required)
		default="Token",
		deDE="Abzeichen",
	},
	description={										--tool description
		default="Shows tokens count",
		deDE="Zeigt die Anzahl der Abzeichen an",
	},
	author="Sanori",									--author of this tool
	version="1.1",										--tool version
	defaultON=true,									--default active?
	db={													--tool database
		currency={},
	},
	events={												--Game Events
		["HONOR_CURRENCY_UPDATE"] = function(self) self:Update() end,
		["CURRENCY_DISPLAY_UPDATE"] = function(self) self:Update() end,
	},
	broker = {											--Broker
		type = "data source",
		text = "???",
		icon = "Interface\\Icons\\INV_Misc_QuestionMark",
		OnClick = function(self, button)
			GameTooltip:Hide()
			tool.menu:Open(self, 'children', function(level, value)
				for k,v in pairs(tool.currencyids) do
					for i,id in pairs(v) do
						if i>1 then
							local name,_ = GetCurrencyInfo(id)
							if name and name~="" then
								tool.menu:AddToggle(name, tool.db.currency[id], function(var)
									tool.db.currency[id]=nil
									if var then
										tool.db.currency[id]=true
									end
									tool:Update()
								end)
							end
						end
					end
				end
			end)
		end,
		OnTooltipShow = function()
			local header, found
			for k,v in pairs(tool.currencyids) do
				for i,id in pairs(v) do
					if i==1 then
						header=id
					else
						local name, amount, texture, weeklyCurr, weeklyMax, totalMax = GetCurrencyInfo(id)
						if (name and name~="" and texture and texture~="" and amount and type(amount)=="number") then
							if header then
								if found then GameTooltip:AddLine(" ") end
								GameTooltip:AddLine(header)
								header=nil
							end
							found=true
							if tool.db.currency[id] then
								GameTooltip:AddDoubleLine(name,amount,0,1,0,0,1,0)
							else
								GameTooltip:AddDoubleLine(name,amount,1,1,1,1,1,1)
							end
							GameTooltip:AddTexture("Interface\\Icons\\"..texture)
						end
					end
				end
			end
			if not found then GameTooltip:AddLine(tool:L("notoken")) end
			GameTooltip:AddLine(" ")
			GameTooltip:AddLine(tool:L("click"))
		end,
	},
	PreInit = function(self)	--Init Vars
		self.currencyids={
			{self:L("PVE"),395,396},
			{self:L("PVP"),391,392,390},
			{self:L("PROFESSION"),402,361,61,81},
			{OTHER,241},
		}
		self.defaultxt=self.name[GetLocale()] or self.name.default
	end,
	Update = function(self)
		self.broker.text = self.defaultxt
		self.broker.icon = "Interface\\Icons\\INV_Misc_QuestionMark"
		for id,_ in me:pairsByKeys(self.db.currency) do
			local name, amount, texture, _ = GetCurrencyInfo(id)
			if (name and name~="" and texture and texture~="" and amount and type(amount)=="number") then
				if self.broker.text==self.defaultxt then
					self.broker.icon="Interface\\Icons\\"..texture
					self.broker.text=amount
				else
					self.broker.text=self.broker.text.."  |TInterface\\Icons\\"..texture..":16:16:0:0|t"..amount
				end
			end
		end
	end,
	PostInit = function(self)
		self:Update()
	end,
})